# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.26
# 

Name:       ti-omap3-sgx

# >> macros
%define debug_package %{nil}
# << macros

Summary:    ImgTec SGX drivers for TI OMAP3
Version:    1.4.268.2
Release:    1
Group:      Graphics/Display and Graphics Adaptation
License:    TI Proprietary
ExclusiveArch:  armv7hl armv7nhl armv7thl armv7tnhl armv8el
Source0:    %{name}-%{version}.tar.bz2
Source1:    license.txt
Source2:    %{name}-powervr.ini
Source3:    %{name}.udev
Source4:    %{name}.service
Source5:    Meego_IMG-08172010-license_txt.doc
Source6:    ti-omap3-sgx.conf
Source7:    ti-omap3-sgx-update.sh
Source100:  ti-omap3-sgx.yaml
Requires:   coreutils
Requires:   grep
Requires:   kmod >= 9
Requires:   ti-omap3-sgx-wayland-wsegl
Requires:   %{name}-configs
Requires:   systemd
Requires(preun): systemd
Requires(post): /sbin/ldconfig
Requires(post): systemd
Requires(postun): /sbin/ldconfig
Requires(postun): systemd
Provides:   libGLESv1
Provides:   libGLESv1_CM.so.1
Provides:   libGLESv2
Provides:   libGLESv2.so.2
Provides:   %{name}-libEGL > 1.4.268
Provides:   %{name}-libGLESv1 > 1.4.268
Provides:   %{name}-libGLESv2 > 1.4.268
Conflicts:   mesa-llvmpipe
Obsoletes:   %{name}-libEGL <= 1.4.268
Obsoletes:   %{name}-libGLESv1 <= 1.4.268
Obsoletes:   %{name}-libGLESv2 <= 1.4.268

%description
OMAP3 drivers for SGX

%package devel
Summary:    PowerVR SGX support development files
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
This package provides common development files for PowerVR SGX.


%package libEGL-devel
Summary:    EGL development headers for SGX
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   %{name}-devel = %{version}-%{release}
Provides:   libEGL-devel

%description libEGL-devel
%{summary}.


%package libGLESv1-devel
Summary:    GLESv1 development headers for SGX
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   %{name}-devel = %{version}-%{release}
Provides:   libGLESv1-devel

%description libGLESv1-devel
%{summary}.


%package libGLESv2-devel
Summary:    GLESv2 development headers for SGX
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   %{name}-devel = %{version}-%{release}
Provides:   libGLESv2-devel

%description libGLESv2-devel
%{summary}.


%package configs-default
Summary:    configurations for ti-omap3-sgx package
Group:      Configs
Requires:   %{name} = %{version}-%{release}
Provides:   %{name}-configs

%description configs-default
%{summary}.


%prep
%setup -q -n %{name}-%{version}

# >> setup
cp -v %{SOURCE1} .
cp -v %{SOURCE5} .

# << setup

%build
# >> build pre
# << build pre



# >> build post
# << build post

%install
rm -rf %{buildroot}
# >> install pre
# wayland-wsegl provides this, and proxies to the SGL driver
mkdir -p usr/lib/sgx
mv usr/lib/libEGL.so usr/lib/sgx/libEGL-sgx.so
mv usr/lib/libEGL_r121.so usr/lib/sgx/libEGL-sgx_r121.so
mv usr/lib/libEGL_r125.so usr/lib/sgx/libEGL-sgx_r125.so

install -d $RPM_BUILD_ROOT/
cp -arv usr $RPM_BUILD_ROOT/
rm -rf $RPM_BUILD_ROOT/usr/share/doc/ti-omap3-sgx-bin*


install -d $RPM_BUILD_ROOT%{_sysconfdir}/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/powervr.ini

install -d $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/10-pvrsrvkm.rules

### NEMO#685 -- read bug, and drop at some point
# Integrate into Mesa naming.
ln -s libGLESv2.so $RPM_BUILD_ROOT%{_libdir}/libGLESv2.so.2
ln -s libGLES_CM.so $RPM_BUILD_ROOT%{_libdir}/libGLESv1_CM.so.1
###

# Fix permission so rpm can automatically find what libs are provided
chmod a+x $RPM_BUILD_ROOT%{_libdir}/*.so

# systemd
install -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT/lib/systemd/system/%{name}.service
install -d $RPM_BUILD_ROOT/lib/systemd/system/basic.target.wants/
ln -s ../%{name}.service $RPM_BUILD_ROOT/lib/systemd/system/basic.target.wants/%{name}.service
install -D -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/modules-load.d/ti-omap3-sgx.conf
# << install pre

# >> install post
# << install post

%preun
if [ "$1" -eq 0 ]; then
systemctl stop %{name}.service
fi

%post
/sbin/ldconfig
systemctl daemon-reload
systemctl reload-or-try-restart %{name}.service
# >> post
if [ "$1" -eq 2 ]; then
# on upgrades we want to make sure the links are pointing to right files
/usr/sbin/pvrsrvinit --force
/sbin/ldconfig
fi
# << post

%postun
/sbin/ldconfig
systemctl daemon-reload
# >> postun
if [ "$1" -gt 1 ]; then
/usr/sbin/pvrsrvinit --force
fi
# << postun

%files
%defattr(-,root,root,-)
# >> files
%config %{_sysconfdir}/udev/rules.d/10-pvrsrvkm.rules
%{_libdir}/libIMGegl_r12*.so
%ghost %{_libdir}/libIMGegl.so
%{_libdir}/libPVRScopeServices_r12*.so
%ghost %{_libdir}/libPVRScopeServices.so
%{_libdir}/libglslcompiler_r12*.so
%ghost %{_libdir}/libglslcompiler.so
%{_libdir}/libpvr2d_r12*.so
%ghost %{_libdir}/libpvr2d.so
%{_libdir}/libpvrPVR2D_BLITWSEGL_r12*.so
%ghost %{_libdir}/libpvrPVR2D_BLITWSEGL.so
%{_libdir}/libpvrPVR2D_DRI2WSEGL_r12*.so
%ghost %{_libdir}/libpvrPVR2D_DRI2WSEGL.so
%{_libdir}/libpvrPVR2D_FLIPWSEGL_r12*.so
%ghost %{_libdir}/libpvrPVR2D_FLIPWSEGL.so
%{_libdir}/libpvrPVR2D_FRONTWSEGL_r12*.so
%ghost %{_libdir}/libpvrPVR2D_FRONTWSEGL.so
%{_libdir}/libpvrPVR2D_X11WSEGL_r12*.so
%ghost %{_libdir}/libpvrPVR2D_X11WSEGL.so
%{_libdir}/libsrv_um_r12*.so
%ghost %{_libdir}/libsrv_um.so
%attr(755,root,root) %{_sbindir}/pvrsrvinit_r*
%attr(755,root,root) %{_sbindir}/pvrsrvinit
/lib/systemd/system/%{name}.service
/lib/systemd/system/basic.target.wants/%{name}.service
%config %{_sysconfdir}/modules-load.d/ti-omap3-sgx.conf

# These files could be in their own packages, however
# pvrsinit requires these files when executed so splitting
# doesn't really make much sense.
%{_libdir}/libOpenVG_r12*.so
%ghost %{_libdir}/libOpenVG.so
%{_libdir}/libOpenVGU_r12*.so
%ghost %{_libdir}/libOpenVGU.so
%{_libdir}/sgx/libEGL-sgx_r12*.so
%ghost %{_libdir}/sgx/libEGL-sgx.so
%{_libdir}/libGLES_CM_r12*.so
%ghost %{_libdir}/libGLES_CM.so
%{_libdir}/libGLESv2_r12*.so
%ghost %{_libdir}/libGLESv2.so

### NEMO#685 -- read bug, and drop at some point
%{_libdir}/libGLESv1_CM.so.1
%{_libdir}/libGLESv2.so.2
###
# << files

%files devel
%defattr(-,root,root,-)
# >> files devel
%{_includedir}/SGX/hwdefs
%{_includedir}/SGX/include4
%{_includedir}/pvr2d.h
# << files devel

%files libEGL-devel
%defattr(-,root,root,-)
# >> files libEGL-devel
%{_includedir}/KHR/*.h
%{_includedir}/EGL/*.h
# << files libEGL-devel

%files libGLESv1-devel
%defattr(-,root,root,-)
# >> files libGLESv1-devel
%{_includedir}/GLES/*.h
# << files libGLESv1-devel

%files libGLESv2-devel
%defattr(-,root,root,-)
# >> files libGLESv2-devel
%{_includedir}/GLES2/*.h
# << files libGLESv2-devel

%files configs-default
%defattr(-,root,root,-)
# >> files configs-default
%config %{_sysconfdir}/powervr.ini
# << files configs-default
